%define packname  affyio
%define bioc      2.3
%define Rversion  2.8.0

Name:             R-%{packname}
Version:          1.10.0
Release:          2%{?dist}
Summary:          Tools for parsing Affymetrix data files
Summary(fr):      Outils d'analyse de fichier de données de puces affymetrix

Group:            Applications/Engineering
License:          LGPLv2+
URL:              http://bioconductor.org/packages/%{bioc}/bioc/html/affyio.html
Source0:          http://bioconductor.org/packages/%{bioc}/bioc/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R >= %{Rversion}
Requires(postun): R
BuildRequires:    R-devel >= %{Rversion} tetex-latex zlib-devel

%description
Routines for parsing Affymetrix data files based upon file format 
information. Primary focus is on accessing the CEL and CDF file formats.

%description -l fr
Scripts pour analyser les fichiers de données issuent de puces affymetrix
basé sur les informations fournis pas les extensions. Un des premier 
objectifs est de convertir les données dans des fichiers au format
CEL ou CDF.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css


%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man/
%doc %{_libdir}/R/library/%{packname}/latex/
%doc %{_libdir}/R/library/%{packname}/LICENSE
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R/
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs/affyio.so

%changelog
* Thu Nov 20 2008 pingou <pingoufc4-at-yahoo.fr> 1.10.0-2
- Correct the Source0

* Mon Oct 27 2008 pingou <pingoufc4-at-yahoo.fr> 1.10.0-1
- Update to version 1.10.0 for R >= 2.8.0

* Fri Sep 05 2008 pingou <pingoufc4-at-yahoo.fr> 1.8.1-1
- Update to version 1.8.1

* Fri May 02 2008 Pingou <pingoufc4@yahoo.fr> 1.8.0-1
- Update to bioconductor 2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.1-3
- Autorebuild for GCC 4.3

* Sat Feb 09 2008 Pingou <pingoufc4@yahoo.fr> 1.6.1-2
- Change on the URL

* Mon Oct 08 2007 Pingou <pingoufc4@yahoo.fr> 1.6.1-1
- Update to bioconductor 2.1 

* Wed Aug 29 2007 Pingou <pingoufc4@yahoo.fr> 1.4.1-2
- Change in the license tag to fit the guide lines

* Mon Jul 02 2007 Pingou <pingoufc4@yahoo.fr> 1.4.1-1
- initial package for Fedora

